#{{START:SPEECHSERVERS:EXPERIENCEPORTAL
#>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
#######################################################################################################################
# Instructions for adding support for a third party TTS Speech Server which will mimic an existing speech server type
# Note: Add all the properties between  #{{START:SPEECHSERVERS:TTS and #}}END:SPEECHSERVERS:TTS comments below
# --------------------
# MANDATORY PROPERTIES
# --------------------
# 1. Add the new engine type <NewTTSEngine> to the ttsEngines property (comma separated list of engines) 
#    <NewTTSEngine> will displayed as the engine type  
#    Note: Engine type must not exceed 16 characters
# 2. Add a new property <NewTTSEngine>TTSinternalEngineType=<ExistingTTSEngineType> to specify the internal engine type
#    to be mimicked.
# 3. Add a new property <NewTTSEngine>TTS=<NewTTSEngineCode> to specify the new engine type to its engine code mapping
#    Note: Engine code must not exceed 16 characters
# 4. Add a new property <NewTTSEngineCode>=<NewTTSEngine> to specify the engine code to engine type mapping.
#    Note: Engine Code to be specified without any spaces for this property
# -------------------
# OPTIONAl PROPERTIES
# -------------------
#    The following properties are only needed if the values used by the speech server being mimic need to be updated.
# 5. Add a new property <NewTTSEngine>Voices for specifying the voices (comma separated list of voices in the format
#    language_code voice_name gender 
#    For example: en-US Amanda F
#    supported by third party TTS Speech Server.
#    Note: This property is only needed, if the voices supported are different than the speech server being mimicked.
# 6. Add a new property <NewTTSEngine>VoicesDefault for specifying the default voice
# 7. Add a new property <NewTTSEngine>BasePort for specifying default base port
# 8. Add a new property <NewTTSEngine>PerPort for specifying whether new connection is needed for each port (Yes/No)
# 9. Add a new property <NewTTSEngine>RtspUrl for specifying the RTSP URL
# -------------------
# MANDATORY RESTART  
# -------------------
# 10. Restart the vpms service
#######################################################################################################################
# Sample properties
#######################################################################################################################
# TTS Engines - comma separated list 
ttsEngines=LumenVox
# 
# TTS Engine mapping to internal engine type
# <NewTTSEngine>TTSinternalEngineType
#NewTTSEngine1TTSinternalEngineType=Nuance
#NewTTSEngine2TTSinternalEngineType=Loquendo
LumenVoxTTSinternalEngineType=Nuance
#
# TTS Engine type to Engine code
# <NewTTSEngine>TTS=<NewTTSEngineCode>
#NewTTSEngine1TTS=newttsengine1
#NewTTSEngine2TTS=newttsengine2
LumenVoxTTS=lumenvoxtts
#
# TTS Engine type to Engine code
#newttsengine1=NewTTSEngine1
#newttsengine2=NewTTSEngine2
lumenvoxtts=LumenVox
#
# TTS Voices supported
#NewTTSEngine1Voices=en-US Amanda F,en-US Jackie F,en-US Kim F
#LumenVoxVoices=en-US Amanda F,en-US Jackie F,en-US Kim F,en-US Lindsey F,en-US Leah F,en-US Alvin M,en-US Andrew M,en-US Chris M,en-US Justin M,en-GB Chloe F,en-GB Megan F,en-GB Gwendolyn F,en-GB Ben M,en-GB Gavin M,en-AU Molly F,en-AU Ian M,en-IN Rani F,da-DK Helsa F,da-DK Mikkel M,de-DE Heidi F,de-DE Lukas M,es-ES Martina F,es-ES Antonio M,es-US Lorena F,es-US Luis M,fr-FR Margot F,fr-FR Jean M,fr-CA Elodie F,pt-PT Catina F,pt-PT Adriano M,pt-BR Giovanna F,pt-BR Gustavo M,nl-NL Anneka F,nl-NL Henrick M,nb-NO Mathilde F,is-IS Birta F,is-IS Isak M,it-IT Emilia F,it-IT Angelo M,pl-PL Agnieszka F,pl-PL Ewa F,pl-PL Karolina F,pl-PL Jacek M,pl-Pl Jakub M,ro-RO Irina F,ru-RU Nikita F,ru-RU Vasili M,sv-SV Janna F,tr-TR Sevi F,cy-GB Gwendolyn F,cy-GB Gavin M
LumenVoxVoices=en-US Adam M,en-US Jeff M,en-US Andy M,en-US Carolyn F,en-US Hannah F,en-US Isabella F,en-US Jordan F,en-US Katherine F,en-US Megan F,en-US Nathan M,en-AU Leo M,en-GB Amy F,en-GB Claire F,en-GB Ben M,en-GB Jack M,en-GB Jess F,en-GB Lauren F,en-GB Lily F,en-GB Giles M,en-GB Sarah F,en-GB Sue F,en-GB William M,en-GB Kirsty F,en-GB Mairi F,en-GB Heather F,en-GB Stuart M,en-GB Andrew M,en-GB Seren F,en-GB Tomos M,en-GB Owain M,en-GB Rhian F,en-GB Rhodri M,en-GB Catrin F,en-GB Ffion F,en-GB Gethin M,ca-ES Rita F,da-DK Lars M,da-DK Marie F,nl-NL Ada F,en-IE Caitlin F,fr-FR Laurent M,fr-FR Suzanne F,fr-CA Florence F,fr-CA Emma F,gd-GB Ceitidh F,de-DE Alex M,de-DE Gudrun F,de-AT Leopold M,ga-IE Peig F,it-IT Dario M,it-IT Francesco M,it-IT Laura F,it-IT Nicoletta F,ja-JP Yuki F,ja-JP Akari F,lt-LT Egle F,lt-LT Mantas M,zh-CN Mailin F,zh-CN Lanying F,no-NO Clara F,no-NO Hulda F,no-NO Magnus M,pl-PL Pola F,pt-BR Gabriel M,pt-PT Lúcia F,ro-RO Daria F,ru-RU Avrora F,es-ES Sara F,es-US Ana F,es-US Mateo M,sv-SE Anders M,sv-SE Ylva F,cy-GB Catrin F,cy-GB Ffion F,cy-GB,cy-GB Owain M,cy-GB Rhian F,cy-GB Rhodri M,cy-GB Seren F,cy-GB Tomos M
#
# TTS Default Voice
#NewTTSEngine1Default=en-US Jackie F
LumenVoxDefault=en-US Jeff M
#
# TTS Base Port
#NewTTSEngine1BasePort=5060
LumenVoxBasePort=5060
#
# TTS Per Port 
#NewTTSEngine1PerPort=Yes
LumenVoxPerPort=Yes
#
# TTS Per Port 
#NewTTSEngine1RtspUrl=/media/synthesizer
LumenVoxRtspUrl=/media/synthesizer
#######################################################################################################################
#<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
#}}END:SPEECHSERVERS:EXPERIENCEPORTAL
#{{START:SPEECHSERVERS:TTS
#}}END:SPEECHSERVERS:TTS